/*************************************************
* Version Information Header File                *
* (C) 1999-2002 The OpenCL Project               *
*************************************************/

#ifndef OPENCL_VERSION_H__
#define OPENCL_VERSION_H__

#include <opencl/config.h>
#include <string>

namespace OpenCL {

#define OPENCL_VERSION_MAJOR 0
#define OPENCL_VERSION_MINOR 8
#define OPENCL_VERSION_PATCH 2

/*************************************************
* Get information describing the version         *
*************************************************/
std::string version_string();
u32bit version_major();
u32bit version_minor();
u32bit version_patch();

}

#endif
